{
  "schema_version": "1.4.0",
  "id": "GHSA-wvj2-94fg-jpr9",
  "modified": "2022-05-14T04:00:01Z",
  "published": "2022-05-14T04:00:01Z",
  "aliases": [
    "CVE-2012-2131"
  ],
  "details": "Multiple integer signedness errors in crypto/buffer/buffer.c in OpenSSL 0.9.8v allow remote attackers to conduct buffer overflow attacks, and cause a denial of service (memory corruption) or possibly have unspecified other impact, via crafted DER data, as demonstrated by an X.509 certificate or an RSA public key.  NOTE: this vulnerability exists because of an incomplete fix for CVE-2012-2110.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-2131"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/75099"
    },
    {
      "type": "WEB",
      "url": "http://cvs.openssl.org/chngview?cn=22479"
    },
    {
      "type": "WEB",
      "url": "http://kb.juniper.net/InfoCenter/index?page=content&id=JSA10673"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2013/Jun/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-05/msg00014.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-05/msg00015.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2012-09/msg00007.html"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=133728068926468&w=2"
    },
    {
      "type": "WEB",
      "url": "http://marc.info/?l=bugtraq&m=134039053214295&w=2"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48895"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48956"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/57353"
    },
    {
      "type": "WEB",
      "url": "http://support.apple.com/kb/HT5784"
    },
    {
      "type": "WEB",
      "url": "http://www-01.ibm.com/support/docview.wss?uid=ssg1S1004564"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2454"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2012:064"
    },
    {
      "type": "WEB",
      "url": "http://www.openssl.org/news/secadv_20120424.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/04/24/1"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/53212"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1026957"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/USN-1428-1"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-04-24T20:55:00Z"
  }
}